'返回指定月份所包含的天数。如果给定的月份无效，返回0。
Function GetDaysOfSpecMonth(ByVal Y As Integer, ByVal M As Integer) As Long '返回指定月份所包含的天数。如果给定的月份无效，返回0。
   If m < 1 Or m > 12 Then Return 0
   If m = 2 Then '2月份的闰平规律测算后确认返回28或29
      If (y Mod 4) = 0 And (y Mod 100 <> 0) Or (y Mod 400) = 0 Then Function = 29 Else Function = 28
   Else
      '公历每个月份的天数普通表
      Dim solarMonth(1 To 12) As Long = {31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31}
      Function = solarMonth(m)
   End If
End Function
